﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using HLWebOKBAdminPlugin.Models;
using HLWebOKBAdminPlugin.OKBAdministrationService;

namespace HLWebOKBAdminPlugin.Controllers
{
    /// <summary>
    /// Controller for Problem Submenu
    /// </summary>
	public class ProblemController : Controller
	{
		/// <summary>
		/// Controller for Index View
		/// </summary>
		/// <returns></returns>
		public ActionResult Index()
        {
            Session["SelectedSubMenu"] = "Problem";
			ProblemModel pm = new ProblemModel();
			return View(pm);
		}

        /// <summary>
        /// Controller for Detail View
        /// </summary>
        /// <param name="p"></param>
        /// <returns></returns>
		public ActionResult Detail(long id)
        {
            Session["SelectedSubMenu"] = "Problem";
            // We use here the ProblemMode, but I think
            // we can also use the Problem class. (?)
			ProblemModel pm = new ProblemModel();
            pm.Problem = (Problem)pm.Problems.Where(x => x.Id.Equals(id)).FirstOrDefault();
			return View(pm);
		}

	}
}
